ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hurley (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-9339) Oozie Downgrade Fails Because Upgrade Behavior Is Used
Date Mon, 26 Jan 2015 20:37:35 GMT
Jonathan Hurley created AMBARI-9339:
---------------------------------------

             Summary: Oozie Downgrade Fails Because Upgrade Behavior Is Used
                 Key: AMBARI-9339
                 URL: https://issues.apache.org/jira/browse/AMBARI-9339
             Project: Ambari
          Issue Type: Task
          Components: ambari-server
    Affects Versions: 2.0.0
            Reporter: Jonathan Hurley
             Fix For: 2.0.0


During a downgrade, the Oozie scripts need to understand that a downgrade is occurring. This
is because there is a step that happens before {{prepare-war}} where {{hadoop-lzo*.jar}} is
copied to a location so that {{prepare-war}} can use it.

However, hadoop-lzo*.jar does not exist in HDP 2.2.0.0 and does exist in 2.2.1.0. 

The oozie scripts should produce an error if this file is not found and that is correct -
but only for upgrade.

This is part of a larger issue where the upgrade/downgrade status needs to be available for
the scripts. It currently is not.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message